org.eclipse.net4j.db.ddl.delta

## Enum IDBDelta.DeltaType

- java.lang.Object
- - java.lang.Enum<IDBDelta.DeltaType>
  - - org.eclipse.net4j.db.ddl.delta.IDBDelta.DeltaType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IDBDelta.DeltaType>
  Enclosing interface:
    IDBDelta

      public static enum IDBDelta.DeltaType
      extends java.lang.Enum<IDBDelta.DeltaType>

  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIELD`
    `INDEX`
    `INDEX_FIELD`
    `PROPERTY`
    `SCHEMA`
    `TABLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IDBDelta.DeltaType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IDBDelta.DeltaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCHEMA

          public static final IDBDelta.DeltaType SCHEMA

    - #### TABLE

          public static final IDBDelta.DeltaType TABLE

    - #### FIELD

          public static final IDBDelta.DeltaType FIELD

    - #### INDEX

          public static final IDBDelta.DeltaType INDEX

    - #### INDEX_FIELD

          public static final IDBDelta.DeltaType INDEX_FIELD

    - #### PROPERTY

          public static final IDBDelta.DeltaType PROPERTY

  - ### Method Detail

    - #### values

          public static IDBDelta.DeltaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDBDelta.DeltaType c : IDBDelta.DeltaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDBDelta.DeltaType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html